#!/bin/bash

# halve & redirects

function test(){
	diff $DF $1 $2 > __result
	ret=$?
	if [ $ret != 0 ] ; then
		echo "$1 vs $2:"
		cat __result | head -n 10
	fi
	rm -f __result
	return $ret
}

FILE1="hash.out"
REF_FILE1="hash.ref"
FILE2="buckets.out"
REF_FILE2="buckets.ref"
TMP="__stdout"
REF="test6.out"

$TEMA 1024 test6.in > $TMP

test $FILE1 $REF_FILE1 && test $FILE2 $REF_FILE2 && test $TMP $REF

ret=$?

rm $FILE1 $FILE2 $TMP

if [ $ret -eq 0 ] ; then
	echo $PASS
	exit 1
else
	echo $FAIL
fi
